# 32/64bit spec-file
#
%define name 	linphone
%define version 3.8.1
%define release %mkrel 4

%define linphone_major 6
%define mediastreamer_major 4
%define libname_linphone %mklibname %name %linphone_major
%define libname_mediastreamer %mklibname mediastreamer %mediastreamer_major
%define libname_devel %mklibname -d %name
%define _requires_exceptions devel(libatiuki)\\|devel(libpulsecommon-0.9.22)

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Voice over IP Application
License: 	GPLv2+
Group: 		Communications
URL: 		http://www.linphone.org/
Source0:	linphone-%{version}.tar.xz
Source2:	%{name}48.png
Source3:	%{name}32.png
Source4:	%{name}16.png
Patch0:         linphone-3.6.1-imagedir.patch
Patch1:		linphone-3.6.1-link.patch
Patch2:		srtp_path.patch
BuildRequires:	automake
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	gsm-devel
BuildRequires:	gtk-doc
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	%{_lib}xv-devel
BuildRequires:	%{_lib}xext-devel
BuildRequires:	%{_lib}x11-devel
BuildRequires:	%{_lib}readline-devel
BuildRequires:	speex-devel
BuildRequires:	%{_lib}ortp-devel >= 0.17.0
BuildRequires:	%{_lib}v4l-devel
BuildRequires:	libtheora-devel
BuildRequires:	%{_lib}pulseaudio-devel
BuildRequires:	libglew-devel
BuildRequires:	vim-common
BuildRequires:	belle-sip-devel
BuildRequires:	doxygen
BuildRequires:	srtp
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	libsoup-devel
BuildRequires:	libnotify-devel


BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:  	%name < %version
Requires: 	%{_lib}linphone%linphone_major = %version
Requires: 	%{_lib}mediastreamer%mediastreamer_major = %version
Requires:	%{_lib}ortp9 >= 0.23.0


%description
Linphone is web-phone with a GNOME2 interface. It uses open protocols
such as SIP and RTP to make the communications.

%package -n     %{libname_linphone}
Summary:        Primary library for %name
Group:          System/Libraries
Obsoletes:	%{_lib}linphone5

%description -n %{libname_linphone}
Primary library for %name.

%package -n     %{libname_mediastreamer}
Summary:        Media Streaming library for %name
Group:          System/Libraries

%description -n %{libname_mediastreamer}
Media Streaming library for %name.

%package -n     %{libname_devel}
Summary:        Header files and static libraries from %name
Group:          Development/Libraries
Requires:       %{libname_linphone}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}
Obsoletes:      %mklibname -d %{name} 1
Obsoletes:	linphone-devel


%description -n %{libname_devel}
Libraries and includes files for developing programs based on %name.

%package doc
Summary:        Documentation files for Linphone
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation files for Linphone


%prep
%setup -q
./autogen.sh
%patch0 -p0 -b .image-dir
%patch1 -p0 -b .link
%patch2 -p0

%build
# Display config options
#./configure --help

%configure2_5x \
    --disable-static \
    --disable-rpath\
    --enable-alsa \
    --disable-strict \
    --enable-external-ortp=yes \
    --enable-notify=yes \
    --enable-ipv6 \
    --enable-video \
    --enable-assistant

 
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name} --all-name

perl -pi -e "s|linphone/linphone2\.png|linphone2|g" %{buildroot}%{_datadir}/applications/linphone.desktop
desktop-file-install \
	--vendor="" \
	--remove-category="Application" \
        --add-category="X-MandrivaLinux-Internet-VideoConference" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/linphone.desktop

#icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{_sourcedir}/linphone16.png \
	%{buildroot}%{_iconsdir}/hicolor/16x16/apps/linphone2.png
install -m 644 %{_sourcedir}/linphone32.png \
	%{buildroot}%{_iconsdir}/hicolor/32x32/apps/linphone2.png
install -m 644 %{_sourcedir}/linphone48.png \
	%{buildroot}%{_iconsdir}/hicolor/48x48/apps/linphone2.png
mkdir -p %{buildroot}/%_miconsdir
ln -s ../hicolor/16x16/apps/linphone2.png \
      %{buildroot}/%_miconsdir/
mkdir -p %{buildroot}/%_iconsdir
ln -s hicolor/32x32/apps/linphone2.png \
      %{buildroot}/%_iconsdir/
mkdir -p %{buildroot}/%_liconsdir
ln -s ../hicolor/48x48/apps/linphone2.png \
      %{buildroot}/%_liconsdir/

# multiarch_includes %{buildroot}%{_includedir}/linphone/config.h

# remove unwanted docs, generated if doxygen is installed
rm -rf %{buildroot}%{_docdir}/ortp 

# don't ship .la:
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%update_icon_cache hicolor

%post -n %{libname_linphone}
/sbin/ldconfig

%postun -n %{libname_linphone}
/sbin/ldconfig

%post -n %{libname_mediastreamer}
/sbin/ldconfig

%postun -n %{libname_mediastreamer}
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING README AUTHORS BUGS INSTALL ChangeLog
%doc %_datadir/gnome/help/%name
%{_bindir}/linphone*
%{_bindir}/mediastream
%{_bindir}/lpc2xml_test
%{_bindir}/xml2lpc_test
%{_bindir}/lp-gen-wrappers
%{_bindir}/msaudiocmp
%{_bindir}/auto_answer
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}
%{_datadir}/sounds/%{name}
%{_datadir}/images/linphone/nowebcamCIF.jpg
%{_datadir}/applications/*
%{_datadir}/linphone
%_datadir/locale
%{_iconsdir}/hicolor/*/apps/linphone2.png
%{_iconsdir}/hicolor/*/apps/linphone.png
%{_liconsdir}/linphone2.png
%{_iconsdir}/linphone2.png
%{_miconsdir}/linphone2.png


%files -n %{libname_linphone}
%defattr(-,root,root)
%{_libdir}/liblinphone.so.%{linphone_major}*


%files -n %{libname_mediastreamer}
%defattr(-,root,root)
%{_libdir}/libmediastreamer*.so.%{mediastreamer_major}*

%files -n %{libname_devel}
%defattr(-,root,root)
%{_datadir}/tutorials/linphone/*.c
%{_includedir}/linphone
# multiarch %{multiarch_includedir}/linphone/config.h
%{_includedir}/mediastreamer2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%files doc
%defattr(-,root,root)
%{_datadir}/doc/linphone*
%{_datadir}/doc/mediastreamer*


%changelog
* Sun Jan 15 2017 adrianomorselli <adrianomorselli> 3.8.1-4uplos2017
- rebuild

* Thu Dec 01 2016 bb <bb> 3.8.1-4pclos2016
- rebuild

* Wed Nov 23 2016 bb <bb> 3.8.1-3pclos2016
- update for new vpx library

* Sat Apr 18 2015 ghostbunny <ghostbunny at gmx dot de> 3.8.1-2pclos2015
- enable external ortp correctly 

* Fri Apr 17 2015 ghostbunny <ghostbunny at gmx dot de> 3.8.1-1pclos2015
- 3.8.1

* Thu Mar 19 2015 ghostbunny <ghostbunny at gmx dot de> 3.8.0-1pclos2015
- 3.8.0
- fix link patch
- add missing BR srtp, mesaglu-devel, libsoup-devel, libnotify-devel
- drop exo-sip and osip BR
- add patch2

* Tue Nov 18 2014 bb <bb> 3.7.0-4pclos2014
- rebuild ffmpeg 2.4

* Fri Aug 01 2014 bb <bb> 3.7.0-3pclos2014
- obsolete libphone5 library

* Thu Jul 31 2014 ghostbunny <ghostbunny at gmx dot de> 3.7.0-2pclos2014
- add R for libortp
- set liblinphone und libmediastreamer R = %version
- add BR doxygen

